
local XP = CreateFrame("Frame", "StatBlock_XP")
XP.obj = _G.LibStub("LibDataBroker-1.1"):NewDataObject("XP", {label = _G["XP"]})
local rested = _G.LibStub("LibDataBroker-1.1"):NewDataObject("RestedXP", {label = _G["TUTORIAL_TITLE26"]})

function XP:UpdateBlock()
	local xp = UnitXPMax("player") - UnitXP("player")
	local r = GetXPExhaustion() or 0
	XP.obj.text = xp
	rested.text = r
end

XP:RegisterEvent("PLAYER_XP_UPDATE")
XP:RegisterEvent("UPDATE_EXHAUSTION")
XP:RegisterEvent("PLAYER_LOGIN")
XP:SetScript("OnEvent", function(_, _, unit)
	if (unit and unit == "player") or not unit then
		XP:UpdateBlock()
	end
end)
